/*****************************************************************************
*
*****************************************************************************/

// Fileheader size and offsets in bytes
#define fh_size 14		/* Fileheader size */
				// Size
#define ID		0	/* 2	BMP file ID = 'BM' */
#define FSIZE		2	/* 4	The size of the resulting file */
#define	RESERVED	6	/* 4	Reserved for the future use */
#define	IMGOFFSET	10	/* 4	Offset to bitmap from start of file */

// Infoheader size and offsets in bytes
#define ih_size 40		/* Infoheader size */

#define	IH_SIZE	  0	/* 4	Size of the infoheader = 40 */
#define	HPIX	  4	/* 4	Horizontal pixels */
#define	VPIX	  8	/* 4	Vertical pixels */
#define	PLANES	  12	/* 2	Number of Planes = 1 */
#define	BPP	  14	/* 2	Bits per pixel = 1 */
#define	COMPRESS  16	/* 4	Compression code = 0 ( None ) */
#define	PIC_BYTES 20	/* 4	Size of the bitmap */
#define	HRES	  24	/* 4	Horiz resolution - bits per meter */
#define	VRES	  28	/* 4	Vert resolution - bits per meter */
#define	UCOL	  32	/* 4	Used colors = 2 */
#define	ICOL	  36	/* 4	Important colors = 2 */

// HP48 screen resolution
#define	RESO	  2140l	

// Colormap cell size and offsets in bytes
#define cm_size 4

#define	I_BLUE	0
#define	I_GREEN	1
#define	I_RED	2
#define I_FILL	3

// The HP48GX Singapore 1994 version approximate screen colors.
#define BLUE_0	94
#define GREEN_0	164
#define	RED_0	108

#define BLUE_1	133
#define GREEN_1	37
#define	RED_1	39

